#pragma once

#include "daemon/Configuration.h"

namespace NS_DM_Client
{
	class StringBuffer;
	namespace NS_Daemon
	{
		class Profile;
	}

	class MockConfiguration: public NS_Daemon::Configuration
	{
	public:
		MockConfiguration();
		~MockConfiguration() {}

		virtual int GetProfilesCount() const;
		virtual NS_Daemon::Profile* GetProfile(int i);
		virtual NS_Daemon::Profile* GetProfile(const String& profileName);

		void AddProfile(NS_Daemon::Profile* profile);

	private:
		typedef std::vector<NS_Daemon::Profile*> Profiles;
		Profiles m_profiles;
	};
}
